#!/usr/bin/env python

#-----------------------------------------------------------------------
# runservergunicorn.py
# Author: Bob Dondero
#-----------------------------------------------------------------------

from sys import argv, exit, stderr
from os import system

def main():

    if len(argv) != 2:
        print('Usage: ' + argv[0] + ' port', file=stderr)
        exit(1)

    try:
        port = int(argv[1])
    except Exception:
        print('Port must be an integer.', file=stderr)
        exit(1)

    system('gunicorn -b 0.0.0.0:' + str(port) +
        ' --access-logfile - penny:app')

if __name__ == '__main__':
    main()
